<?php

declare(strict_types=1);

namespace NOUT\Soap\StructType;

use InvalidArgumentException;
use NOUT\Soap\PackageBase\AbstractStructBase;

/**
 * This class stands for SortType StructType
 * @subpackage Structs
 */
#[\AllowDynamicProperties]
class SortType extends AbstractStructBase
{
    /**
     * The _
     * @var string|null
     */
    protected ?string $_ = null;
    /**
     * The asc
     * @var string|null
     */
    protected ?string $asc = null;
    /**
     * Constructor method for SortType
     * @uses SortType::set_()
     * @uses SortType::setAsc()
     * @param string $_
     * @param string $asc
     */
    public function __construct(?string $_ = null, ?string $asc = null)
    {
        $this
            ->set_($_)
            ->setAsc($asc);
    }
    /**
     * Get _ value
     * @return string|null
     */
    public function get_(): ?string
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param string $_
     * @return \NOUT\Soap\StructType\SortType
     */
    public function set_(?string $_ = null): self
    {
        // validation for constraint: string
        if (!is_null($_) && !is_string($_)) {
            throw new InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($_, true), gettype($_)), __LINE__);
        }
        $this->_ = $_;
        
        return $this;
    }
    /**
     * Get asc value
     * @return string|null
     */
    public function getAsc(): ?string
    {
        return $this->asc;
    }
    /**
     * Set asc value
     * @param string $asc
     * @return \NOUT\Soap\StructType\SortType
     */
    public function setAsc(?string $asc = null): self
    {
        // validation for constraint: string
        if (!is_null($asc) && !is_string($asc)) {
            throw new InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($asc, true), gettype($asc)), __LINE__);
        }
        $this->asc = $asc;
        
        return $this;
    }
}
